# class RDoc::Markup::IndentedParagraph

frozen_string_literal: false

An Indented Paragraph of text

### Attributes

indent[R]

The indent in number of spaces

### Public Class Methods

new(indent, *parts) click to toggle source

Creates a new IndentedParagraph containing `parts` indented with `indent` spaces

Calls superclass method RDoc::Markup::Raw.new

    # File lib/rdoc/markup/indented_paragraph.rb, line 16
    def initialize indent, *parts
      @indent = indent

      super(*parts)
    end

### Public Instance Methods

accept(visitor) click to toggle source

Calls accept_indented_paragraph on `visitor`

    # File lib/rdoc/markup/indented_paragraph.rb, line 29
    def accept visitor
      visitor.accept_indented_paragraph self
    end

text(hard_break = nil) click to toggle source

Joins the raw paragraph text and converts inline HardBreaks to the `hard_break` text followed by the indent.

    # File lib/rdoc/markup/indented_paragraph.rb, line 37
    def text hard_break = nil
      @parts.map do |part|
        if RDoc::Markup::HardBreak === part then
          '%1$s%3$*2$s' % [hard_break, @indent, ' '] if hard_break
        else
          part
        end
      end.join
    end